# Uses of Interface
org.springframework.beans.TypeConverter

Packages that use TypeConverter
Package
Description
org.springframework.beans
This package contains interfaces and classes for manipulating Java beans.
org.springframework.beans.factory.annotation
Support package for annotation-driven bean configuration.
org.springframework.beans.factory.config
SPI interfaces and configuration-related convenience classes for bean factories.
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.
org.springframework.beans.support
Classes supporting the org.springframework.beans package, such as utility classes for sorting and holding lists of beans.

## Uses of TypeConverter in org.springframework.beans

Subinterfaces of TypeConverter in org.springframework.beans
Modifier and Type
Interface
Description
`interface`
`BeanWrapper`
The central interface of Spring's low-level JavaBeans infrastructure.
`interface`
`ConfigurablePropertyAccessor`
Interface that encapsulates configuration methods for a PropertyAccessor.
Classes in org.springframework.beans that implement TypeConverter
Modifier and Type
Class
Description
`class`
`AbstractNestablePropertyAccessor`
A basic `ConfigurablePropertyAccessor` that provides the necessary infrastructure for all typical use cases.
`class`
`AbstractPropertyAccessor`
Abstract implementation of the `PropertyAccessor` interface.
`class`
`BeanWrapperImpl`
Default `BeanWrapper` implementation that should be sufficient for all typical use cases.
`class`
`DirectFieldAccessor`
`ConfigurablePropertyAccessor` implementation that directly accesses instance fields.
`class`
`SimpleTypeConverter`
Simple implementation of the `TypeConverter` interface that does not operate on a specific target object.
`class`
`TypeConverterSupport`
Base implementation of the `TypeConverter` interface, using a package-private delegate.

## Uses of TypeConverter in org.springframework.beans.factory.annotation

Methods in org.springframework.beans.factory.annotation with parameters of type TypeConverter
Modifier and Type
Method
Description
`protected boolean`
QualifierAnnotationAutowireCandidateResolver.`checkQualifier(BeanDefinitionHolder bdHolder, Annotation annotation, TypeConverter typeConverter)`
Match the given qualifier annotation against the candidate bean definition.

## Uses of TypeConverter in org.springframework.beans.factory.config

Methods in org.springframework.beans.factory.config that return TypeConverter
Modifier and Type
Method
Description
`protected TypeConverter`
AbstractFactoryBean.`getBeanTypeConverter()`
Obtain a bean type converter from the BeanFactory that this bean runs in.
`protected TypeConverter`
MethodInvokingBean.`getDefaultTypeConverter()`
Obtain the TypeConverter from the BeanFactory that this bean runs in, if possible.
`TypeConverter`
ConfigurableBeanFactory.`getTypeConverter()`
Obtain a type converter as used by this BeanFactory.
Methods in org.springframework.beans.factory.config with parameters of type TypeConverter
Modifier and Type
Method
Description
`Object`
AutowireCapableBeanFactory.`resolveDependency(DependencyDescriptor descriptor, String requestingBeanName, Set<String> autowiredBeanNames, TypeConverter typeConverter)`
Resolve the specified dependency against the beans defined in this factory.
`void`
ConfigurableBeanFactory.`setTypeConverter(TypeConverter typeConverter)`
Set a custom type converter that this BeanFactory should use for converting bean property values, constructor argument values, etc.

## Uses of TypeConverter in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support that return TypeConverter
Modifier and Type
Method
Description
`protected TypeConverter`
AbstractBeanFactory.`getCustomTypeConverter()`
Return the custom TypeConverter to use, if any.
`TypeConverter`
AbstractBeanFactory.`getTypeConverter()`
Methods in org.springframework.beans.factory.support with parameters of type TypeConverter
Modifier and Type
Method
Description
`Object`
DefaultListableBeanFactory.`doResolveDependency(DependencyDescriptor descriptor, String beanName, Set<String> autowiredBeanNames, TypeConverter typeConverter)`
`Object`
RegisteredBean.`resolveAutowiredArgument(DependencyDescriptor descriptor, TypeConverter typeConverter, Set<String> autowiredBeanNames)`
Resolve an autowired argument.
`Object`
DefaultListableBeanFactory.`resolveDependency(DependencyDescriptor descriptor, String requestingBeanName, Set<String> autowiredBeanNames, TypeConverter typeConverter)`
`void`
AbstractBeanFactory.`setTypeConverter(TypeConverter typeConverter)`
Constructors in org.springframework.beans.factory.support with parameters of type TypeConverter
Modifier
Constructor
Description
``
`BeanDefinitionValueResolver(AbstractAutowireCapableBeanFactory beanFactory, String beanName, BeanDefinition beanDefinition, TypeConverter typeConverter)`
Create a BeanDefinitionValueResolver for the given BeanFactory and BeanDefinition, using the given `TypeConverter`.

## Uses of TypeConverter in org.springframework.beans.support

Methods in org.springframework.beans.support that return TypeConverter
Modifier and Type
Method
Description
`protected TypeConverter`
ArgumentConvertingMethodInvoker.`getDefaultTypeConverter()`
Obtain the default TypeConverter for this method invoker.
`TypeConverter`
ArgumentConvertingMethodInvoker.`getTypeConverter()`
Return the TypeConverter used for argument type conversion.
Methods in org.springframework.beans.support with parameters of type TypeConverter
Modifier and Type
Method
Description
`void`
ArgumentConvertingMethodInvoker.`setTypeConverter(TypeConverter typeConverter)`
Set a TypeConverter to use for argument type conversion.